count: 1303
next: https://normandy.cdn.mozilla.net/api/v3/recipe/?format=yaml&ordering=last_updated&page=2
previous: null
results:
- approved_revision: null
  id: 103
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt spenden
      message: Spenden Sie an Mozilla, die gemeinnützige Organisation hinter Firefox?
        Vielen Dank!
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-nofeedback-request-donatenow
      surveyId: foundation-de-nofeedback-request-donatenow
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:24.855140Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*1, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*1, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1160
    identicon_seed: v1:103
    metadata: {}
    name: Promo - Foundation - de-nofeedback-request-donatenow
    recipe:
      approved_revision_id: null
      id: 103
      latest_revision_id: 1160
    updated: '2017-02-01T23:53:24.721886Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 77
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate Now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=en-feedback-inform-donatenow
      message: Did you know that Mozilla, the maker of Firefox, is a nonprofit dependent
        on donations of users like you?
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-feedback-inform-donatenow
      surveyId: foundation-en-feedback-inform-donatenow
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:28.908332Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*4, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*4, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1281
    identicon_seed: v1:77
    metadata: {}
    name: Promo - Foundation - en-feedback-inform-donatenow
    recipe:
      approved_revision_id: null
      id: 77
      latest_revision_id: 1281
    updated: '2017-02-01T23:53:24.755153Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 100
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Paar zusammenführen
      message: Ihr Firefox-Konto trifft Ihr Handy. Beide verlieben sich ineinander.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-fxa3
      surveyId: mobile-de-nofeedback-fxa3
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:43:10.943615Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*13, 4,\
      \ 1000)\n    && normandy.locale in ['de']\n    && normandy.syncSetup\n    &&\
      \ normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*13, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1176
    identicon_seed: v1:100
    metadata: {}
    name: Promo - Mobile - de-nofeedback-fxa3
    recipe:
      approved_revision_id: null
      id: 100
      latest_revision_id: 1176
    updated: '2017-02-01T23:53:24.792834Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 99
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Paar zusammenführen
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=de-feedback-fxa3&sglocale=de
      message: Ihr Firefox-Konto trifft Ihr Handy. Beide verlieben sich ineinander.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-feedback-fxa3
      surveyId: mobile-de-feedback-fxa3
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:43:07.858243Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*12, 4,\
      \ 1000)\n    && normandy.locale in ['de']\n    && normandy.syncSetup\n    &&\
      \ normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*12, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1181
    identicon_seed: v1:99
    metadata: {}
    name: Promo - Mobile - de-feedback-fxa3
    recipe:
      approved_revision_id: null
      id: 99
      latest_revision_id: 1181
    updated: '2017-02-01T23:53:24.834202Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 98
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Senden Sie Firefox an Ihr Handy
      message: Ziehen Sie beim Surfen einfach vom Laptop auf Ihr Handy um.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-fxa2
      surveyId: mobile-de-nofeedback-fxa2
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:43:05.919229Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*11, 4,\
      \ 1000)\n    && normandy.locale in ['de']\n    && normandy.syncSetup\n    &&\
      \ normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*11, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1186
    identicon_seed: v1:98
    metadata: {}
    name: Promo - Mobile - de-nofeedback-fxa2
    recipe:
      approved_revision_id: null
      id: 98
      latest_revision_id: 1186
    updated: '2017-02-01T23:53:24.874129Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 110
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt spenden
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=de-feedback-reason-donatenow
      message: Wenn jeder, der das liest, 3€ spenden würde, hätte Mozilla genug für
        ein weiteres Jahr.
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-feedback-reason-donatenow
      surveyId: foundation-de-feedback-reason-donatenow
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:54.096781Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*8, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*8, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1146
    identicon_seed: v1:110
    metadata: {}
    name: Promo - Foundation - de-feedback-reason-donatenow
    recipe:
      approved_revision_id: null
      id: 110
      latest_revision_id: 1146
    updated: '2017-02-01T23:53:24.943779Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 109
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Spenden
      message: Wussten Sie, dass Firefox-Entwickler Mozilla eine gemeinnützige Organisation
        ist, die von Spenden von Nutzern wie Ihnen abhängig ist?
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-nofeedback-inform-donate
      surveyId: foundation-de-nofeedback-inform-donate
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:48.962225Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*7, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*7, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1148
    identicon_seed: v1:109
    metadata: {}
    name: Promo - Foundation - de-nofeedback-inform-donate
    recipe:
      approved_revision_id: null
      id: 109
      latest_revision_id: 1148
    updated: '2017-02-01T23:53:24.961541Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 108
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Spenden
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=de-feedback-inform-donate
      message: Wussten Sie, dass Firefox-Entwickler Mozilla eine gemeinnützige Organisation
        ist, die von Spenden von Nutzern wie Ihnen abhängig ist?
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-feedback-inform-donate
      surveyId: foundation-de-feedback-inform-donate
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:45.418399Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*6, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*6, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1150
    identicon_seed: v1:108
    metadata: {}
    name: Promo - Foundation - de-feedback-inform-donate
    recipe:
      approved_revision_id: null
      id: 108
      latest_revision_id: 1150
    updated: '2017-02-01T23:53:24.979693Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 107
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt spenden
      message: Wussten Sie, dass Firefox-Entwickler Mozilla eine gemeinnützige Organisation
        ist, die von Spenden von Nutzern wie Ihnen abhängig ist?
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-nofeedback-inform-donatenow
      surveyId: foundation-de-nofeedback-inform-donatenow
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:41.634816Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*5, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*5, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1152
    identicon_seed: v1:107
    metadata: {}
    name: Promo - Foundation - de-nofeedback-inform-donatenow
    recipe:
      approved_revision_id: null
      id: 107
      latest_revision_id: 1152
    updated: '2017-02-01T23:53:24.997135Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 97
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Senden Sie Firefox an Ihr Handy
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=de-feedback-fxa2&sglocale=de
      message: Ziehen Sie beim Surfen einfach vom Laptop auf Ihr Handy um.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-feedback-fxa2
      surveyId: mobile-de-feedback-fxa2
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:43:01.234386Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*10, 4,\
      \ 1000)\n    && normandy.locale in ['de']\n    && normandy.syncSetup\n    &&\
      \ normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*10, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1191
    identicon_seed: v1:97
    metadata: {}
    name: Promo - Mobile - de-feedback-fxa2
    recipe:
      approved_revision_id: null
      id: 97
      latest_revision_id: 1191
    updated: '2017-02-01T23:53:25.038139Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 96
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt installieren
      message: Senden Sie Firefox an Ihr Handy und synchronisieren Sie Ihre Lesezeichen,
        Passwörter, Chronik und mehr.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-fxa1
      surveyId: mobile-de-nofeedback-fxa1
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:58.591974Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*9, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*9, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1196
    identicon_seed: v1:96
    metadata: {}
    name: Promo - Mobile - de-nofeedback-fxa1
    recipe:
      approved_revision_id: null
      id: 96
      latest_revision_id: 1196
    updated: '2017-02-01T23:53:25.076826Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 94
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Erste Schritte
      message: Freilaufende Tabs schmecken besser. Öffnen Sie Ihre Desktop-Tabs auf
        Ihrem Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-fun2
      surveyId: mobile-de-nofeedback-fun2
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:53.017736Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*7, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*7, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1206
    identicon_seed: v1:94
    metadata: {}
    name: Promo - Mobile - de-nofeedback-fun2
    recipe:
      approved_revision_id: null
      id: 94
      latest_revision_id: 1206
    updated: '2017-02-01T23:53:25.117143Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 93
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Erste Schritte
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=de-feedback-fun2&sglocale=de
      message: Freilaufende Tabs schmecken besser. Öffnen Sie Ihre Desktop-Tabs auf
        Ihrem Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-feedback-fun2
      surveyId: mobile-de-feedback-fun2
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:50.145084Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*6, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*6, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1211
    identicon_seed: v1:93
    metadata: {}
    name: Promo - Mobile - de-feedback-fun2
    recipe:
      approved_revision_id: null
      id: 93
      latest_revision_id: 1211
    updated: '2017-02-01T23:53:25.156936Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 92
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt senden
      message: Der Fuchs zum Mitnehmen. Holen Sie sich Firefox auf Ihr Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-fun1
      surveyId: mobile-de-nofeedback-fun1
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:47.238553Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*5, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*5, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1216
    identicon_seed: v1:92
    metadata: {}
    name: Promo - Mobile - de-nofeedback-fun1
    recipe:
      approved_revision_id: null
      id: 92
      latest_revision_id: 1216
    updated: '2017-02-01T23:53:25.196908Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 91
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt senden
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=de-feedback-fun1&sglocale=de
      message: Der Fuchs zum Mitnehmen. Holen Sie sich Firefox auf Ihr Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-feedback-fun1
      surveyId: mobile-de-feedback-fun1
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:44.180603Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*4, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*4, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1221
    identicon_seed: v1:91
    metadata: {}
    name: Promo - Mobile - de-feedback-fun1
    recipe:
      approved_revision_id: null
      id: 91
      latest_revision_id: 1221
    updated: '2017-02-01T23:53:25.237286Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 90
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt senden
      message: Holen Sie sich Firefox auf Ihr Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-short2
      surveyId: mobile-de-nofeedback-short2
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:41.170926Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*3, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*3, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1226
    identicon_seed: v1:90
    metadata: {}
    name: Promo - Mobile - de-nofeedback-short2
    recipe:
      approved_revision_id: null
      id: 90
      latest_revision_id: 1226
    updated: '2017-02-01T23:53:25.280028Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 89
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt senden
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=de-feedback-short2&sglocale=de
      message: Holen Sie sich Firefox auf Ihr Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-feedback-short2
      surveyId: mobile-de-feedback-short2
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:38.613173Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*2, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*2, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1239
    identicon_seed: v1:89
    metadata: {}
    name: Promo - Mobile - de-feedback-short2
    recipe:
      approved_revision_id: null
      id: 89
      latest_revision_id: 1239
    updated: '2017-02-01T23:53:25.324853Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 88
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt installieren
      message: Senden Sie Firefox an Ihr Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-short1
      surveyId: mobile-de-nofeedback-short1
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:35.056620Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*1, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*1, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1233
    identicon_seed: v1:88
    metadata: {}
    name: Promo - Mobile - de-nofeedback-short1
    recipe:
      approved_revision_id: null
      id: 88
      latest_revision_id: 1233
    updated: '2017-02-01T23:53:25.378397Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 87
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt installieren
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=de-feedback-short1&sglocale=de
      message: Senden Sie Firefox an Ihr Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-feedback-short1
      surveyId: mobile-de-feedback-short1
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:32.301608Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*0, 4, 10000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*0, 4, 10000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1249
    identicon_seed: v1:87
    metadata: {}
    name: Promo - Mobile - de-feedback-short1
    recipe:
      approved_revision_id: null
      id: 87
      latest_revision_id: 1249
    updated: '2017-02-01T23:53:25.464057Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 57
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Stay on Beta
      learnMoreMessage: Were you actually looking for the stable version of Firefox?
      learnMoreUrl: https://www.mozilla.org/firefox/new/?utm_source=heartbeat&utm_medium=heartbeat&utm_campaign=keepbeta
      message: You are on an experimental (Beta) version of Firefox. Do you want to
        continue Beta testing?
      postAnswerUrl: https://www.mozilla.org/firefox/channel/#beta
      surveyId: stay-on-beta-1
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-01T23:53:25.473262Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.001)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'beta'\n    && false\n)"
    filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.001)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'beta'\n    && false\n)"
    filter_object: []
    id: 1121
    identicon_seed: v1:57
    metadata: {}
    name: Stay on Beta Test EN* 1
    recipe:
      approved_revision_id: null
      id: 57
      latest_revision_id: 1121
    updated: '2017-02-01T23:53:25.473300Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 60
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send it now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=en-feedback-short2
      message: Get Firefox on your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-short2
      surveyId: mobile-en-feedback-short2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-21T21:38:34.124822Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*2, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*2, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1364
    identicon_seed: v1:60
    metadata: {}
    name: Promo - Mobile - en-feedback-short2
    recipe:
      approved_revision_id: null
      id: 60
      latest_revision_id: 1364
    updated: '2017-02-01T23:53:25.540873Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 41
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://addons.mozilla.org/firefox/shield_study_5?utm_campaign=shield-study-context-graph-v1
      message: Want to try something new in Firefox?
      postAnswerUrl: https://addons.mozilla.org/firefox/shield_study_5
      surveyId: context-graph-v1
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-28T23:33:13.131980Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(2*2 + 3*2, 5, 1000)\n\
      \    && normandy.locale == 'en-US'\n    && normandy.country == 'US'\n    &&\
      \ normandy.channel == 'release'\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(2*2 + 3*2, 5, 1000)\n\
      \    && normandy.locale == 'en-US'\n    && normandy.country == 'US'\n    &&\
      \ normandy.channel == 'release'\n)"
    filter_object: []
    id: 1393
    identicon_seed: v1:41
    metadata: {}
    name: Shield Study 5 - Context Graph
    recipe:
      approved_revision_id: null
      id: 41
      latest_revision_id: 1393
    updated: '2017-02-01T23:53:25.559372Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 68
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send Firefox to your phone
      message: Easily move your browsing from your laptop to your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-fxa2
      surveyId: mobile-en-nofeedback-fxa2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:25:49.786776Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*10, 1,\
      \ 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices ==\
      \ 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*10, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1318
    identicon_seed: v1:68
    metadata: {}
    name: Promo - Mobile - en-nofeedback-fxa2
    recipe:
      approved_revision_id: null
      id: 68
      latest_revision_id: 1318
    updated: '2017-02-01T23:53:25.598534Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 75
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=en-feedback-request-donate
      message: Will you donate to Mozilla, the nonprofit organization behind Firefox?
        Thanks!
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-feedback-request-donate
      surveyId: foundation-en-feedback-request-donate
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:21.015263Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*2, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*2, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1287
    identicon_seed: v1:75
    metadata: {}
    name: Promo - Foundation - en-feedback-request-donate
    recipe:
      approved_revision_id: null
      id: 75
      latest_revision_id: 1287
    updated: '2017-02-01T23:53:25.623077Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 78
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate Now
      message: Did you know that Mozilla, the maker of Firefox, is a nonprofit dependent
        on donations of users like you?
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-nofeedback-inform-donatenow
      surveyId: foundation-en-nofeedback-inform-donatenow
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:32.607691Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*5, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*5, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1278
    identicon_seed: v1:78
    metadata: {}
    name: Promo - Foundation - en-nofeedback-inform-donatenow
    recipe:
      approved_revision_id: null
      id: 78
      latest_revision_id: 1278
    updated: '2017-02-01T23:53:25.651228Z'
  signature: null
  uses_only_baseline_capabilities: true
